
From: Raphael Zimmerer <killekulla@rdrz.de>

While all ACPI stuff is deselected, and PCI access mode is set to "Any",
CONFIG_ACPI_BOOT is going to be set because of CONFIG_PCI_MMCONFIG.

If CONFIG_ACPI_BOOT is not allready set by other stuff, setting PCI access
mode to "Any" shouldn't set CONFIG_PCI_MMCONFIG.  Anyhow, setting PCI
access mode to "MMConfig" should select CONFIG_ACPI_BOOT.

Signed-off-by: Raphael Zimmerer <killekulla@rdrz.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/Kconfig |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/i386/Kconfig~fix-pci-access-mode-dependences-in-arch-i386-kconfig arch/i386/Kconfig
--- 25/arch/i386/Kconfig~fix-pci-access-mode-dependences-in-arch-i386-kconfig	2004-07-31 17:52:11.049036744 -0700
+++ 25-akpm/arch/i386/Kconfig	2004-07-31 17:52:11.053036136 -0700
@@ -1107,7 +1107,7 @@ config PCI_DIRECT
 
 config PCI_MMCONFIG
 	bool
-	depends on PCI && (PCI_GOMMCONFIG || PCI_GOANY)
+	depends on PCI && (PCI_GOMMCONFIG || (PCI_GOANY && ACPI_BOOT))
 	select ACPI_BOOT
 	default y
 
_
